Changes from 3.2-4 to 3.3-1

*Kernel:
- Added function checking main node id from drop down node assignments.
- Added count function for tipafriend and content view.
- Added support for information collection on option datatype.
- Added RSS export support, according to the RSS 1.0 specification: http://web.resource.org/rss/1.0/spec
- Added limited RSS export support for version 2.0, based upon http://blogs.law.harvard.edu/tech/rss
- Added RSS import support (RSS 1.0), for displaying content from other web pages
- Added count function for collected information. This can be used for showing the results of a poll.
- Rewrote parts of the information collection system, it is now possible to configure
  email handling, display handling, redirection and collection separately and according
  to information collection type.
- Added validation and fixup methods for the information collection system to eZDataType.
- Made sure the required field in class defintion is used on information collection submittion
  for attributes that are information collectors.
- Added separate handling of http input and custom actions in ezcontentobject.
- Added fetching object by identifier to content module. Requires attribute data_text to be unique
- Optimized datatype abstraction calls. Resulting in less memory usage and less database calls.
- Extended treemenu operator to support offset and unlimited number of levels. It will also give information about the current selected items.
- Improved the text on the removeobject page and added a choice for whether the object
  should be moved to trash or deleted. Move to trash is the default.
- Improved the text on the removeeditversion page.
- Added support for class filter in treemenu operator.
- Added a $cli initialisation where a function could be called on a non-object in eZScript::initialize()
- Fixed correct link in wordtoimage operator when running in nvh mode.
- Fixed correct link in wordtoimage operator when running in nvh mode.
- Changed default redirect url from current object node to it's parent node when publishing from preview page.
- Added new fetch function object_count_by_user_id which returns the number of objects from a class created by a user.
- Added fetch function best_sell_list in module shop which returns best sellers of product.
- Added fetch function related_purchase in module shop which returns related purchases for a product.
- Fixed wrong include line in ezwordtoimageoperator.php
- Added content_info structure to module result when the view is not cached, previously this was only available
  when the view was cached and restored.
- Removed warnings from eztemplatedesignresource.
- Added latest_list fetch function for classes.
- Added last modified class list to class group list and class list.
- Added support for not having confirmation on draft remove.
- Fixed namespaces for some of the gui template functions.
- New view parameters for content/view, the parameters are day, month and year and can be used by template code.
  The new parameters are alos used with view caching.
- New parameters for subtree listing of content object nodes, you can now specify a field to group by and
  the type of grouping (by day, hour, minute, second and year). You can also specify whether the
  nodes are returned as objects or not. The same parameters are also available with the fetch functions
  content/list and content/tree.
- New navigator called monthview, it will a full month with highlighted and hyperlinked entries, can be
  used for calendars.
- New template operator 'month_overview' which can take a list of items and create a month structure
  which be sent to the monthview.tpl template.
- Added view parameters to content_info block in content/view.php.
- Added optional parameter to content cache functions, it can be used to extend the system
  with additional parameters without changing the function signature.
- Content cache has been extended to take all view parameters into account for the cache key.
  This means that adding new view parameters in view.php will automatically be included for the content cache.
- Improved the content download system with support for images. Also the handleDownload function has been
  split into one that figures out the filename and one that does the actual download.
- Changed the move node operation in content/edit to start from the original node placement.
- Added view for content classes, most of the datatypes has been implemented for this.
- Added correct path for versionview, it uses a similar technique as content edit.
- Added class_attribute_view_gui template function for viewing content class attributes.
- Added content_attributes_data_map to content edit, it is similar to data_map for a contentobject.
- Changed the url_alias attribute of eZContentObjectTreeNode to only return url aliases if
  url translations are enabled (site.ini). This ensures that the urls returned from nodes
  will always work. This also helps with creating urls to nodes/objects, just use the url_alias attribute.
- Updated setup/info page with detection of Turck MMCache. Added name and url for current PHP accelerator.
- Updated setup/info page with more database information, it will list server, database name, retry count
  and the current slave server and database name (if any).
- Made content link in admin use settings for RootNode for top level node link.
- Added module keyword to fetch content list.  For example content/keyword/a will return all objects which 
  have keywords start with 'a'.
- Added fetch function 'same_classattribute_node' to fetch objects which has the same value in one datatype. 
  For example, it is easy to fetch all articles that enable comment is set to true. 
- Fixed editing PDF exports : http://ez.no/developer/ez_publish_3/bug_reports/pdf_export_must_be_editable_and_schedulable
- Improved RSS 0.91, 0.92 and 2.0 import: http://ez.no/developer/ez_publish_3/bug_reports/rss_import_does_not_import_ez2_rss_092_feed
- The admin embed template for images will now use the image alias defined in content.ini, it reads
  the variable DefaultEmbedAlias in the group ImageSettings.
- Improved the translated URLs (URL alias), it will not contain leading or trailing underscores,
  special characters are translated into underscore instead of being removed and empty translations
  will use a default value from the client. (e.g node_45 from content tree nodes)
- When you add a new location to an object it will be automatically set to main if no other
  locations is already set as main
- Added check when published content has warning ( validation log ), content can't be published before user has seen the warning.
- Fixed the content/translations list to show the internal name of the languages instead of the local name.
- Changed a lot of the default templates to use url_alias instead of content/view/full links, this allows
  them to seamlessly work with URL translation on or off.
- Changed the minimum required version check in Setup Wizard to 4.2.3 (was 4.1.0). ( merged in from 3.2 3485)
- Made sure the embed view template for objects don't show a link if there is no main node.
- Added edit button for all object relation list (datatype) items.
- New template operator 'simpletags' which can do simple replacement of tags listed in template.ini.
- Fixed the content view to only accept node IDs higher or equal to 2, if lower 2 is used.
- The clearcache.sh will now also clear the var directories for all siteaccess.
- Changed behaviour when deleting nodes fra tree. Objects placed in the tree as secondary location are now NOT deleted. Please see
  this bug report for more information ( merged from stable 4436 )
  http://ez.no/developer/ez_publish_3/bug_reports/critical_deleting_a_node_not_the_main_causes_unwanted_removal_of_object
- Changed the caching of eZPreferences in session to use an array for all variables, this makes it
  easier to cleanup up. The preferences are now cleared on login/logout.
- Changed the caching of user information and user groups in sessions, the new method uses arrays
  and is easier to cleanup.
- Added ignore_content_expiry parameter to cache-block. Using this cache blocks will not expire when any content is published.
- Fixed the approve workflow type to show users real name not the login.
- Fixed ezimage datatype to return the alternative text or the original filename (instead of local filename) as title.
- Changed the eZ publish web server to work with the new image system.
- Added support for enabling/disabling image handlers in image.ini, the setup will enable/disable the ImageMagick handler.
- Added support for multiple tag lists for the simpletags template operator.
- Added sortKeyType and sortKey functions to eZSelection datatype. ( merged from stable 4532 )
  http://ez.no/developer/ez_publish_3/bug_reports/datatype_ezselection_missing_default_methods_sortkey_sortkeytype
- Removed all use of the SiteAccessList (from site.ini), instead the AvailableSiteAccessList is used everywhere.
  The setting was also removed from site.ini.
- Added ObjectID and NodeID to all admin full class templates.
- Added some explaining text to the class lockout functionality.
- Added support for is_valid attribute directly on the image datatype content, no need to
  go through original alias.
- Removed obsolete function fetchTree in eZContentObject
- Added cleanup.php script for cleaning up lots of data from databases which are not to be included in releases.
- Added cleanup script for cleaning up lots of data from databases which are not to be included in releases.
- Added cleanup() function to several functions, these functions are used in the new cleanup script.
- Added --clean option to updatesearchindex.php script, this will clear all search data before indexing.
  This is useful before release handling to ensure no extra data is present in the search.
- Fixed bug in updatesearchindex.php which would only reindex objects
  that the anonymous user could read.
- Added search indexing of all attribute translations, not just the main translation.
- Added option to remove class identifier cache and sort key cache in clearcache.sh and admin interface
- Added flatten script which will remove unneeded elements from the database such as drafts,
  temporary data etc.
- Made sure users are logged out whenever their user is disabled, this check is done each time the user is fetched trough the session.
- Changed permission on user/preferences from preferences to login, if you have a valid account you should be able to set preferences
- Fixed workflow editing to redirect back to the workflowlist instead of the grouplist on discard and store.

*Bugfixes:
- http://ez.no/developer/ez_publish_3/bug_reports/logical_operators_do_not_work
  The parser has been fixed to properly recognize numbers when operators are present.
- Fixed bug where advanced setup menu in admin open/close did not work due to cache.
- Fixed copy object bug. Current version was not set, multiple version copy did not set object name and redirect did not contain version number. (merged from stable 4293)
- Fixed comment edit layout bug: http://ez.no/developer/ez_publish_3/bug_reports/new_comment_break_layout_news_package
- Fixed layout bug in monthview: http://ez.no/developer/ez_publish_3/bug_reports/errors_in_designstandardtemplatesnavigatormonthviewtpl
- Fixed bug, added possibility to change priority/placement of overrides: http://ez.no/developer/ez_publish_3/bug_reports/overrideiniappend_problem
- Fixed bug, http://ez.no/developer/ez_publish_3/bug_reports/cleandatasql_is_not_clean ( merged from stable 4302 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/bookmarks_template_typos ( merged from stable 4305 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/admin_view_full_gui_removeaction_renders_empty_redirectpage ( merged from stable 4311 )
- Fixed cleanup of objects in relation list, now all versions are cleaned up.
  http://ez.no/developer/ez_publish_3/bug_reports/cleanup_of_object_relation_list_objects
- Fixed cleanup of object data when removing drafts.
  http://ez.no/developer/ez_publish_3/bug_reports/improper_deletion_of_drafts
- Fix cleanup of the attributes of an object when removing it from trash (purge).
  http://ez.no/developer/ez_publish_3/bug_reports/cleanup_error_in_contentobject_class
  http://ez.no/developer/ez_publish_3/bug_reports/ezcontentobject_purge_issue_for_objects_with_extra_information_users_binary_files_etc
- Fixed the edit template for all datatypes in regards to the $attribute_base variable, this makes all
  datatypes usable in the object relation list datatype.
  http://ez.no/developer/ez_publish_3/bug_reports/eztemplate_object_relation_list_does_not_recognize_ezboolean_values
- Fixed the forwarding of custom actions to the objects in the object relation list.
  This makes it possible to perform actions such as removing images, adding entries to
  all entries of an object relation list, it even allows nesting relation lists.
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/critical_notification_settings_lost_if_email_is_changed_security_problem
  Notification rules are now pr user id, this fix requires database upgrade sqls to convert old rules.
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/typos_in_designstandardcontentbrowsetpl ( Merged from stable 4322 )
- Added extension support for notification event handlers.
  http://ez.no/developer/ez_publish_3/bug_reports/custom_notification_handler_in_extension_wont_work
- Fixed bug dowloading PDF documents directly : http://ez.no/developer/ez_publish_3/bug_reports/pdf_export_for_direct_download_does_not_work
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/kernelcontentversionviewphp_missing_node_pseudo_path_attribute ( merged from stable 4325 )
- Fixed fetch( content, tree_count ... operator bug, http://ez.no/developer/ez_publish_3/bug_reports/missing_depth_operator_in_function_definition
- Sending objects to trash no longer removes the node assignments (location) of the current version.
  http://ez.no/developer/ez_publish_3/bug_reports/restore_from_trash_returns_error
- Fixed cleanup bug in workflows http://ez.no/developer/ez_publish_3/bug_reports/deleted_workflow_shows_up_in_triggers ( merged from stable 4336 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/contentini_defaultversionhistorylimit_2_provokes_kernel_crash ( merged from stable 4339 )
- Fixed path bug while editing top nodes : http://ez.no/developer/ez_publish_3/bug_reports/editing_root_node_fails_path_error ( merged from stable 4342 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/template_ezurl_shows_php_warning ( merged from stable 4350 )
- Fixed the adding of new object attributes to add attributes for all translations.
  http://ez.no/developer/ez_publish_3/bug_reports/translated_attributes_are_not_added_when_class_is_extended
- Fixed update attribute filter script bug : http://ez.no/developer/ez_publish_3/bug_reports/incorrect_searched_field_in_script_updateattributefilterphp ( merged from stable 4346 )
- Fixed missing parameter bug in kernel/classes/datatypes/ezxmltext/handlers/output/ezxhtmlxmloutput.php:443 (merged from stable 4348 )
  http://ez.no/developer/ez_publish_3/bug_reports/renderxhtmltag_in_ol_or_ul
- Fixed bug in kernel/role/edit.php. Made sure policy variable is checked before usage (merged from stable 4352 )
  http://ez.no/developer/ez_publish_3/bug_reports/php_error_in_admin_role_edition
- Fixed ImageGD bug during setup : http://ez.no/developer/ez_publish_3/bug_reports/setup_wizard_fails_to_write_rules_to_imageiniappendphp_when_using_gd 
  ( merged from stable 4354 )
- Removed unneeded template user variable instantiation in kernel/notification/runfilter.php
- Fixed missing argument 1 for ezuser() in kernel\classes\datatypes\ezuser\ezuser.php bug ( merged from stable 4361 )
  http://www.ez.no/developer/ez_publish_3/bug_reports/ezuserloginhandler_php_warning
- Fixed bug eZContentObjectTreeNode::findMainNodeArray when $objectIDArray is empty ( merged from stable 4367 )
  http://www.ez.no/developer/ez_publish_3/bug_reports/related_objects_error_2
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/others_can_see_my_wishlist_ ( merged from stable 4369 )
- Fixed bug with long object names generating invalid SQL : ( merged from stable 4371 )
  http://www.ez.no/developer/ez_publish_3/bug_reports/too_long_textline_attribute_doesnt_give_an_error_message
- Fixed eZContentBrowseRecent count SQL. ( merged from stable 4371 )
- Fixed some translation typos in the templates.
  http://ez.no/developer/ez_publish_3/bug_reports/typos_minor_translation_bugs
- Fixed fetching object list with several classes in class filter ( merged from stable 4378 )
  http://www.ez.no/developer/ez_publish_3/bug_reports/kernelbug_fetching_class_lists
- Fixed related objects to only include objects that have status 'published' ( merged from stable 4381)
  http://ez.no/developer/ez_publish_3/bug_reports/related_objects_are_shown_even_if_they_are_archived
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/ezkeyword_deleting_object_node_does_not_remove_keyword_reference ( merged from stable 4383 )
- Fixed http://ez.no/developer/ez_publish_3/bug_reports/bugs_in_templates ( merged from stable 4387 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/flaws_in_the_file_docinstall
  Refered to online installation guide and PDF version.
- Fixed the autolink operator to better handle detection and management of urls. ( merged from stable 4395 )
  http://ez.no/developer/ez_publish_3/bug_reports/autolink_operator_messes_with_linked_urls_
- Fixed some of the minor suggestions/corrections by Dariusz Zbikowski ( merged from stable 4410 )
  http://ez.no/developer/ez_publish_3/bug_reports/bugs_in_kernel
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/attribute_filter_doesnt_work_when_sorting_on_an_attribute ( merged from stable 4413 )
- The multiplexer event type will now forward all workflow parameters to ensure maximum compatability with other
  workflow event types. The event has also gotten more sanity checking of objects and classes.
  http://ez.no/developer/ez_publish_3/bug_reports/multiplexer_and_approval_workflow_long_bug_report_to_illustrate_the_steps_and_errors
- Fixed collaboration bug when trying to access deleted objects. ( merged from stable 4417 )
  http://ez.no/developer/ez_publish_3/bug_reports/collaboration_approved_items_cause_crash_when_viewing
- Fixed bug with caching of role information in session. Session cache is now properly cleaned up. ( merged from stable 4320 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/edit_images_problem_with_store
- Changed the ezauthor datatype to use the users name not login for default author.
  http://ez.no/developer/ez_publish_3/bug_reports/datatype_ezauthor_discloses_login_information
- Fixed ezbinaryfile and ezmedia datatype to return the original filename (instead of local filename) as title.
  http://ez.no/developer/ez_publish_3/bug_reports/datatype_ezbinaryfile_returns_cryptic_filenames_as_default_content_object_titles
- Fixed problem in subtreenotification datatype which caused crash when creating new objects using it.
- Fixed bug in image system which created wrong MIME type for original image.
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/search_sorting_error_typo_in_ezsearchenginephp ( merged from stable 4486 )
- Fixed problem with cache block expiry when ignore_content_expiry was set
- Fixed several layout and functionality bugs in blog package
- Fixed calendar operator bug
- Fixed several UI issues in forum package
- Fixed several bugs reported in bugreport ( merged from stable 4503 ): http://ez.no/developer/ez_publish_3/bug_reports/kernel_errors
- Fixed Apache 2 problem when redirecting to url with two or more / at end of url. ( merged from stable 4505 )
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/node_id_and_object_id_in_standard_template
- Fixed redirect bug when editing objects using workflows in apache 2. ( merged from stable 4518 )
  http://ez.no/developer/ez_publish_3/bug_reports/empty_page_after_editing_if_you_have_a_workflow_on_apache_2
- Fixed pressing store button multiple times when editing classes. Will no longer cause strange behaviour in objects. ( merged from stable 4524 )
- Fixed unset and missing parameter in eZDBInterface::lastSerialID implementations. ( merged from stable 4526 )
  http://ez.no/developer/ez_publish_3/bug_reports/ezkeyword_lastserialid
- Fixed bookmark links in admin menu template. ( merged from stable 4528 )
  http://ez.no/developer/ez_publish_3/bug_reports/typo_in_designadmintemplatespartsmediamenutpl
- Fixed max recent browse items fetch from ini file. ( merged from stable 4530 )
  http://ez.no/developer/ez_publish_3/bug_reports/class_ezcontentbrowserecentphp_bug
- Fixed module handler for append unordered parameters to redirect uri bug. ( merged from stable 4534 )
  http://ez.no/developer/ez_publish_3/bug_reports/modulehandler_utility_fails_to_append_unordered_parameters_to_redirecturis
- Fixed hard coded page limit doing search in php code. ( merged from stable 4536 )
  http://ez.no/developer/ez_publish_3/bug_reports/advancedsearchphp_uses_hardwired_pagination_parameter
- Fixed editing policy with subtree limitation. ( merged from stable 4538 )
  http://ez.no/developer/ez_publish_3/bug_reports/policy_editing_error_with_subtree_limitation
- Fixed cache bug when adding bookmarks in admin interface. ( merged from stable 4541 )
  http://ez.no/developer/ez_publish_3/bug_reports/bookmarks_cacheblock_dont_expires
- Fixed timeout for editing class drafts from other user. This will prevent users beeing permanently unable to edit classes. ( merged from stable 4543 )
  http://ez.no/developer/ez_publish_3/bug_reports/admins_cant_edit_classes
- Fixed updating section id when moving unpublished objects. ( merged from stable 4545 )
  http://ez.no/developer/ez_publish_3/bug_reports/section_malfunction
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/notification_system_is_not_working
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/hard_parent_node_id46_in_setupmenuphp
- Fixed setting role settings on PDF export. http://ez.no/developer/ez_publish_3/bug_reports/anomymous_user_can_create_a_pdf_export
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/image_troubles_bugs_ez_33_beta_2
  Added check for is_valid in ezimage.tpl
- Fixed bogus html data when showing non-existent image datatypes. The parameters alignment and href should now be used to the attribute_view_gui function to specify alignment and link information on images.
- Fixed sort order of PDF export. http://ez.no/developer/ez_publish_3/bug_reports/pdf_does_not_keep_sort_order
- Removed maxlength from design/standard/templates/gui/lineedit.tpl http://ez.no/developer/ez_publish_3/bug_reports/rss_url_input_is_not_long_enough
- Fixed bug http://www.ez.no/developer/ez_publish_3/bug_reports/datatype_function_metadata_isnt_part_of_the_datatype_api ( merged from stable 4574 )
- Fixed bug in hostmatching in eZHTTPTool::redirectURL, it did not find host names without . in them, e.g. localhost. ( merged from stable 4578 )
- Fixed showing embeded images in blog package. http://ez.no/developer/ez_publish_3/bug_reports/picture_does_not_show_in_package
- Fixed right alignment of printer friendly link in shop package. http://ez.no/developer/ez_publish_3/bug_reports/move_printerfriendly_pages_message_in_shop_package
- Fixed bug in policy edit/creation, if node limitations were added the other limitation values would be removed,
  this no longer happpens.
- Fixed bug in listing of subtree when the attribute filter and attribute sort were used and the attribute filter
  was an empty array.
- Fixed security bug in content module for several views, they now have a separate function access instead
  of reusing the 'edit' access.
- Fixed security bug in policy checking for content objects, it was possible to get create access
  anywhere on the site all depeneding on the role setup. Now creation checking is properly implemented.
- Fixed security bug in which it was possible to add forbidden locations to an object you could edit.
- Fixed security bug in which any object could be created using the related object functionality for
  an existing object edit.
- Fixed showing images in shop package. http://ez.no/developer/ez_publish_3/bug_reports/shop_images_dont_show_when_uploaded
- Fixed bug http://ez.no/developer/ez_publish_3/bug_reports/ezcontentobject_php_typo_line_133 ( merged from stable 4598 )
- Fixed problem with approve workflow event which displayed non-published users. Also users that are
  disabled are no longer shown (merged from stable 4600).
  http://ez.no/developer/ez_publish_3/bug_reports/bogus_users_in_gallery_package
- Made sure empty body mementos are skipped
  http://ez.no/developer/ez_publish_3/bug_reports/missing_error_handling_in_workflow_cronjob
- Fixed some potential bugs which might have caused editing root nodes to crash. http://ez.no/developer/ez_publish_3/bug_reports/edit_users_or_frontpage_object
- Fixed cache bug in setup menu so the advanced menu was not shown.
- Fixed Postgres error text during installation. http://ez.no/developer/ez_publish_3/bug_reports/installation_with_postgresql__1
- Removed debug output http://ez.no/developer/ez_publish_3/bug_reports/ezcontentobjecttreenode_php_debug_statement
- Fixed http://ez.no/developer/ez_publish_3/bug_reports/news_package_misconfigured_workflow
- Added us-ascii to codepages to accept theregister rdf feed. http://ez.no/developer/ez_publish_3/bug_reports/rss_cron_and_admin_bugs
- Fixed bug with publish date when the first published version of an object were not 1,
  now the published date is updated if it is found to be 0.
- Fixed problem with eZSubTree datatype, it used the method call
  eZSubtreeNotificationRule::removeByNodeAndAddress which did not exist.

*ezlupdate:
- Added check for newlines in the context field for templates, usually this means a missing quote.
- Changed the parse warnings to stop the program to make the user aware of the problems.

*Templates:
- navigator/google.tpl has changed the arrows to use arrow characters as HTML entities.
- created templates to override standard browse page when browsing in media folder.
- Added missing link target in embed_image.tpl
- Added templates for generating PDF
- Added advanced dropdown menu under setup to hide the most advanced features.
- Added class specification limit to browse settings.
- Fixed content/datatype/view/ezimage.tpl to support a css_class parameter, if this is set a div tag
  is created around the image with the specified class.

*RSS:
- Removed siteaccess from rss export.

*Setup:
- Fixed bug of unable to show checkboxes if available packages less than 4.
- Added test for magic_quotes_runtime setting in php
- Added check for specific unstable PHP versions. ( merged from stable 4425 )
- Added \r\n to chmod commands

*DataTypes:

eZ integer:
- Fixed unserialization of class data to decode the min/max values correctly even if they contain 0.

eZ float:
- Fixed unserialization of class data to decode the min/max values correctly even if they contain 0.

eZINISetting
- New datatype for editing ini settings.

eZAuthor:
- Modified so it does not add default author if you have removed it manually.

eZObjectRelation
- Checks option in content.ini so you can specify per class attibute where to start browsing.

eZImage
- Redone the image datatype to use the new image system.

eZ Image:
- Made sure the alt text is not updated if it could not be fetched from POST variables.

eZ BinaryFile:
- Made sure the function eZMimeType::findByURL is used instead of eZMimeType::mimeTypeFor.
- Fixed binary file datatype to show correct filesize.

eZ ObjectRelationList:
- Added support for controlling the object relation list using a separate template file, the template
  file is called ezcontentobjectrelationlist_controls.tpl and is included form the ezcontentobjectrelationlist.tpl
  template file. This allows for overriding this template per class.

*Package system:
- Added install type to packages, it will determine if the package can be install or just imported.
- Added information on whether the packages are active or not, only active packages
  will show up in the admin interface.
- Added support for removing packages.
- Added system for creating packages using a wizard, added content class export and site style.
- Added export of packages.
- Finished package upload and added installation of packages.
- Added uninstall of packages.
- Added role support for packages, you can now limit the kind of operations various users can do.

*Library;

eZ INI:
- Added function setGroups to eZINI

eZ PDF:
- Added basic PDF library. This will be extended in the following weeks.
- Added possibility to generate PDF files on the fly

eZ DB:
- Added attribute support to the database interface, this allows querying
  for server, database name etc.
- The charset setting for database can now be left empty in which case the
  the current internal charset will be used. This makes sure the site
  is in the most sane setting. The site.ini will now be shipped with an
  empty Charset setting.
- The MySQL and PostgreSQL handler will now provide proper SQL limits even if the limit is not specified
  but the offset has.

eZ Template:
- Added support for using one variable to hold the iterator values instead of multiple variables.
  This helps with avoiding overuse of namespaces. The new parameter for section is 'var'.
  The holding iterator variable is an object that offers transparent access to the attributes
  of it's current item.
- Added support for accessing the last iteration of a section loop, this only work with
  thew new variable iterator. Can be turned off with the 'no-last-value' parameter.
- Added support for reversing the loop in a section, the parameter is 'reverse'.
- Added fetch_alias function to simplify fetches ex: {let list=fetch_alias(news_list)}
  to fetch 10 last news articles. fetch_alias uses settings in settings/fetchalias.ini 
- Added templates for new design of setup in admin
- Added wash operator for pdf generation ( for escaping linebreaks, tabs and spaces in pdf definition ). Usage : |wash(pdf)
- Added line/column information to the error messages from the template parser.
- New template operator 'maketime' for creating timestamp from hour, minutes, seconds, month, day and year.
- New template operator 'makedate' for creating timestamp from month, day and year.
- New template operator 'gettime' for returning time information on a timestamp.
- New template operator 'roman' for converting numbers into roman numerals
- Fixed get_type template operator to print out prettier text for nulls and booleans.

eZ XML:
- Added the functions removeAttributes and removeChildren in eZDOMNode.
- Added outputhandler to handle PDF output
- Added escaping of attribute values.

eZ Image:
- The image system has been rewritten to be more flexible, stable, faster and simpler to use.
  This means a new image manager system, a new image alias system (replacements for variations)
  and a better abstraction for image handlers (classes for converters).
- Added support for image analysis and MIME type overrides. This means that animated GIFs are now possible.
  Currently GIF and EXIF analysis is available, the information from the analysis is also available
  in the templates.

eZ Utils:
- The store function in eZHTTPFile can now take a MIME data structure which is used
  for determining the storage place and name for the HTTP file.
- Redone most of the eZMimeType class to properly handle MIME types. It can query about
  MIME type based on url, contents or buffer. Currently only url is implemented fully.
  The system will be able to returned detailed information on the file in a MIME structure.
  The new MIME system is used in conjunction with the new image system.
- Added functions to eZSys to query the PHP version and to figure out if a specific
  version is sufficient with the current version.

eZ SOAP:
- Added support for arrays and boolean in ezsoapresponse return values

eZ File:
- Added support for hard links and added parameter to linkCopy to determine
  whether symlinks or hardlinks should be used. Also if the sym/hard link fails
  a normal copy is done.

*Translations:
- Several strings has been improved in terms of language use and
  to make them easier to translate.
- Added missing quotes to the context of several translations which gave strange results in the .ts files.
